Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf Struct Reference

`#include <OgreD3D11HLSLProgram.h>`

List of all members.

## Public Attributes

bool | wasInit
bool | isFloat
size_t | physicalIndex
void * | src
String | name
D3D11_SHADER_VARIABLE_DESC | var

## Detailed Description

Definition at line 132 of file OgreD3D11HLSLProgram.h.

## Member Data Documentation

bool Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::isFloat

Definition at line 135 of file OgreD3D11HLSLProgram.h.

String Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::name

Definition at line 138 of file OgreD3D11HLSLProgram.h.

size_t Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::physicalIndex

Definition at line 136 of file OgreD3D11HLSLProgram.h.

void* Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::src

Definition at line 137 of file OgreD3D11HLSLProgram.h.

D3D11_SHADER_VARIABLE_DESC Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::var

Definition at line 140 of file OgreD3D11HLSLProgram.h.

bool Ogre::D3D11HLSLProgram::ShaderVarWithPosInBuf::wasInit

Definition at line 134 of file OgreD3D11HLSLProgram.h.

The documentation for this struct was generated from the following file:

- OgreD3D11HLSLProgram.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:46